rem NAME
rem	smptsi80.sql
rem
rem	Copyright (c) 1997 by Oracle Corporation
rem
rem  FUNCTION
rem	Create views and tables for Oracle TopSessions
rem
rem  NOTES
rem	To install the tables/views in this script, the user
rem	must run the script using svrmgrl or sqldba as SYS.
rem     This script must be run in the same directory as
rem	catblock.sql & utlxplan.sql - usually 
rem 		$ORACLE_HOME/sysman/admin/rdbms80 for 8.0 database.
rem
rem  MODIFIED
rem	$Log: /OEM_1.4.0/ADMIN/SMPTSI80.SQL $
rem 
rem 1     6/05/97 11:52a Vshah
rem Install script for TopSessions against 8.0.3 server.
rem

rem Create the views for monitoring locks 
@catblo80.sql

rem
rem Grant select privilege on views used by
rem Oracle TopSessions
rem
grant select
  on DBA_LOCK
  to PUBLIC;

grant select
  on DBA_WAITERS
  to PUBLIC;

rem
rem Make sure that public synonyms DBA_OBJECTS
rem and V$SQLTEXT exist.
rem
rem For Pre-7.2 releases, CATALOG.SQL did not create
rem these synonyms.
rem
 drop public synonym DBA_OBJECTS;
 create public synonym DBA_OBJECTS for DBA_OBJECTS;

 drop public synonym v$sqltext;
 create public synonym v$sqltext for v_$sqltext;

rem Create the table used for Explain Plan 
@utlxpl80

rem
rem Grant select, insert and privileges on
rem the plan table
rem
grant select, insert, delete
  on PLAN_TABLE
  to PUBLIC;
